rte_eth_dev_tx_buffer(3)

NAME
rte_eth_dev_tx_buffer

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

uint16_t size
uint16_t length
struct rte_mbuf * pkts []

Detailed Description

Structure used to buffer packets for future Tx Used by APIs rte_eth_tx_buffer and rte_eth_tx_buffer_flush

Definition at line 3916 of file rte_ethdev.h.

Field Documentation

  uint16_t size
Size of buffer for buffered Tx

Definition at line 3919 of file rte_ethdev.h.

  uint16_t length
Number of packets in the array

Definition at line 3920 of file rte_ethdev.h.

  struct rte_mbuf* pkts[]
Pending packets to be sent on explicit flush or when full

Definition at line 3922 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.